<?php
namespace ThurData\Servers\KerioEmail\App\UI\Client\DistributionList\Sections;
use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Sections\FreeFieldsSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Select;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Switcher;

/**
 * Class AddPropertiesDistribution
 * User: ThurData
 * Date: 2019-09-20
 * Time: 12:42
 */

class AddPropertiesDistribution extends FreeFieldsSection
{
    protected $id   = 'addPropertiesDistribution';
    protected $name = 'addPropertiesDistribution';

    public function initContent()
    {
        $this->addField(new Select('lang'));

        $this->addField(new Select('moderator'));

        $this->addField(new Select('subscriptionRequest'));

        $this->addField(new Switcher('subscriptionNotify'));

    }

}